stats_struct Struct Reference

`#include <stats.h>`

## Data Fields

uint32_t | sort_count
time_t | sort_time
int | sort_done
uint32_t | nsec_count
time_t | nsec_time
uint32_t | sig_count
uint32_t | sig_soa_count
uint32_t | sig_reuse
time_t | sig_time
time_t | audit_time
time_t | start_time
time_t | end_time
pthread_mutex_t | stats_lock

## Detailed Description

Statistics structure.

Definition at line 50 of file stats.h.

## Field Documentation

## audit_time

time_t stats_struct::audit_time

Definition at line 60 of file stats.h.

## end_time

time_t stats_struct::end_time

Definition at line 62 of file stats.h.

Referenced by stats_clear(), stats_log(), and tools_output().

## nsec_count

uint32_t stats_struct::nsec_count

Definition at line 54 of file stats.h.

Referenced by adapi_trans_diff(), adapi_trans_full(), stats_clear(), and stats_log().

## nsec_time

time_t stats_struct::nsec_time

Definition at line 55 of file stats.h.

Referenced by adapi_trans_diff(), adapi_trans_full(), stats_clear(), and stats_log().

## sig_count

uint32_t stats_struct::sig_count

Definition at line 56 of file stats.h.

Referenced by do_signzone(), rrset_sign(), stats_clear(), stats_log(), and tools_output().

## sig_reuse

uint32_t stats_struct::sig_reuse

Definition at line 58 of file stats.h.

Referenced by do_signzone(), rrset_sign(), stats_clear(), and stats_log().

## sig_soa_count

uint32_t stats_struct::sig_soa_count

Definition at line 57 of file stats.h.

Referenced by do_signzone(), rrset_sign(), stats_clear(), and tools_output().

## sig_time

time_t stats_struct::sig_time

Definition at line 59 of file stats.h.

Referenced by do_signzone(), stats_clear(), and stats_log().

## sort_count

uint32_t stats_struct::sort_count

Definition at line 51 of file stats.h.

Referenced by stats_clear(), stats_log(), tools_input(), zone_add_rr(), and zone_del_rr().

## sort_done

int stats_struct::sort_done

Definition at line 53 of file stats.h.

Referenced by stats_clear(), tools_input(), and tools_output().

## sort_time

time_t stats_struct::sort_time

Definition at line 52 of file stats.h.

Referenced by stats_clear(), stats_log(), and tools_input().

## start_time

time_t stats_struct::start_time

Definition at line 61 of file stats.h.

Referenced by adapi_trans_diff(), adapi_trans_full(), do_signzone(), stats_clear(), stats_log(), and tools_input().

## stats_lock

pthread_mutex_t stats_struct::stats_lock

Definition at line 63 of file stats.h.

Referenced by adapi_trans_diff(), adapi_trans_full(), do_signzone(), rrset_sign(), stats_cleanup(), stats_create(), tools_input(), tools_output(), and zone_recover2().

The documentation for this struct was generated from the following file:

- src/signer/stats.h